Coder Social home page Coder Social logo

lwyeo / soliditysha3miner Goto Github PK

View Code? Open in Web Editor NEW
39.0 7.0 38.0 862 KB

All-in-one mixed multi-GPU (nVidia, AMD, Intel) & CPU miner solves proof of work to mine supported EIP918 tokens in a single instance (with API).

License: Apache License 2.0

Cuda 2.31% C++ 26.25% C 25.90% Batchfile 0.59% C# 42.39% CMake 0.94% Shell 1.61%
gpu-miner gpumining gpu-mining nvidia-miner 0xbitcoin miner cuda solo-mining ethos amdminer

soliditysha3miner's People

Contributors

lwyeo avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar

soliditysha3miner's Issues

build info linux

hi

would you mind to add some info tips or something how to build from source on linux?

thank you^^

cpuID not working?

Hello, when using
cpuID=0
cpuID=1,3,4
or anything, I always get this error:
terminate called after throwing an instance of 'std::invalid_argument'
what(): stoi
./CLM.sh: line 16: 12381 Aborted dotnet SoliditySHA3Miner.dll abiFile=ERC-541.abi contract=xxxx pool=http://xxxxx address=yyyy cpuMode=true cpuID=0

solo mining

Any chance someone can get the solo mint function working properly on the 0xgold contract? I see that you have added the 0xGOLD.abi to the miner, but have not been able to achieve a mint ever since the merge mine function became active.
contract address: 0x291de53a16b76dfe28551fd3335225f506db8b82

Multiple AMD GPUs detection issue

The miner works with a single AMD RX580 GPU well, but If I add multiple same kinds of GPUs, it does not detect other GPUs correctly and stops working.
miner version: 2.2.0

The exact same system with 6 AMD RX580 gpus works well with MVis-tokenminer.

Incorrect PCI Bus ID for CUDA devices

It seems that all CUDA devices' PCI bus ID are recorded as the first device PCI bus ID.
Which also caused the API to show the same values across all the CUDA devices.
Issue is seen in version 2.1.0

How to run one GPU out of all

Tyring to run only one GPU i.e. GPU 0 out ot all I have in the rig on HiveOS. All GPUs are AMD.
Tried different commands:
amdDevice:0, amdDevice:ID=0, amdDevice:[0] etc but everytime miner runs all GPUs.
Please advise the proper argument for HiveOS.

[ERROR] Object reference not set to an instance of an object.

OS: Ubuntu 17.04 LTS
Setup: 4 x GTX 1060

Command: ./0xbtcPSolo.sh

File Contents:

#!/usr/bin/env bash

command -v dotnet >/dev/null 2>&1 ||
{
 echo >&2 ".NET Core is not found or not installed,"
 echo >&2 "download and install from https://www.microsoft.com/net/download/linux/run";
 read -p "Press any key to continue...";
 exit 1;
}
dotnet SoliditySHA3Miner.dll web3api=http://XXX.XXX.XXX.XXX:8545/ abiFile=0xbtc.abi contract=0xB6eD7644C69416d67B522e20bC294A9a9B405B31 gasToMine=50 privateKey=XXXX

Error: "[ERROR] Object reference not set to an instance of an object."

This error seems to coincide with an info log every time right before it, saying "New difficulty detected (XXXXXXXX)..."

As far as I can tell, it is still mining, however.

Hiveos

Hi,
Do you know if soliditySha3 miner actually works on Hiveos?
How can we contact you?
Thank you very much

Improve the miner to have a master/slave mode

Master instance will perform IO between Infura/geth/pool etc.
While the rest of the Slave instances will perform IO with Master instance through the master's API IP address.
Hence, the Master miner instance will virtually become the "Pool" itself.
This is, especially to reduce excessive polling from multiple rigs/instances with the network, avoiding "rate-limiting" or temporary-ban issues.

Missing the .exe?

I was pretty sure this included the .exe in the .zip's. it seems to be missing now?

error Invalid contract address provided, ensure capitalization is correct.

i tried running this on linux debian buster 11, installed the dotnet things but on starting its always saying
Invalid contract address provided, ensure capitalization is correct.

I tried and set the cmd line to the current 0xBTC contract which should be
0xb6ed7644c69416d67b522e20bc294a9a9b405b31

but the same

Use last submitted gas parameter if API fails

As described in the title, below is the related error message.
Currently, it will take the minimum value from gasToMine parameter, which can be undesirable at times.

[2018-11-25T09:23:31] [ERROR] Failed to read gas price from API: https://ethgasstation.info/json/ethgasAPI.json
Newtonsoft.Json.JsonReaderException: Unexpected character encountered while parsing value: <. Path '', line 0, position 0.
   at Newtonsoft.Json.JsonTextReader.ParseValue()
   at Newtonsoft.Json.JsonReader.ReadForType(JsonContract contract, Boolean hasConverter)
   at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.Deserialize(JsonReader reader, Type objectType, Boolean checkAdditionalContent)
   at Newtonsoft.Json.JsonSerializer.DeserializeInternal(JsonReader reader, Type objectType)
   at Newtonsoft.Json.JsonConvert.DeserializeObject(String value, Type type, JsonSerializerSettings settings)
   at SoliditySHA3Miner.Utils.Json.DeserializeFromURL(String url)
   at SoliditySHA3Miner.NetworkInterface.Web3Interface.SubmitSolution(String address, Byte[] digest, Byte[] challenge, UInt64 difficulty, Byte[] nonce, IMiner sender)

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    🖖 Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. 📊📈🎉

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❤️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.